Subject: bug#25150: Possible reason for this bug

From: nitish chandra <[email-masked]>
Date: Sat, 17 Dec 2016 01:38:10 +0530

Message mode registers message--syntax-propertize as
syntax-propertize-function. This function is used by FontLock mode to
highlight the buffer.

message--syntax-properties assigns comment-begin class to the ] on the
second line. Because of this, it is ignored in the motion traversal.

But why is this? Why should ] at the start of a line be regarded as a
comment? If > is regarded as a comment, it sounds reasonable because >
characters are used to cite messages. But why ]? Are there any citing
formats that use ] for citing?

Thanks,
Nitish